import React from 'react'
import {
  Row,
  ActionLink,
  DateParser,
  IconButton,
  DownloadZipFiles,
  ManuscriptVersion,
} from 'pubsweet-component-faraday-ui'

const ManuscriptDetailsTop = ({ history, collection = {}, fragment = {} }) => (
  <Row alignItems="center" mb={1}>
    <Row alignItems="center" justify="flex-start">
      <ActionLink icon="arrow-left" onClick={() => history.push('/')}>
        Dashboard
      </ActionLink>
    </Row>
    <Row alignItems="center" justify="flex-end">
      <DownloadZipFiles
        archiveName={`ID-${collection.customId}`}
        collectionId={collection.id}
        fragmentId={fragment.id}
      >
        <IconButton icon="download" />
      </DownloadZipFiles>
      <DateParser date={fragment.submitted} label="Updated on" />
      <ManuscriptVersion collection={collection} fragment={fragment} />
    </Row>
  </Row>
)

export default ManuscriptDetailsTop
