import React from 'react'
import PropTypes from 'prop-types'

import Text from './Text'
import Label from './Label'
import Row from './gridItems/Row'
import Item from './gridItems/Item'

const defaultPerson = {
  email: '',
  firstName: '',
  lastName: '',
  affiliation: '',
}

const PersonInfo = ({
  person: { email, firstName, lastName, affiliation } = defaultPerson,
}) => (
  <Row>
    <Item vertical withRightMargin>
      <Label>Email</Label>
      <Text>{email}</Text>
    </Item>
    <Item vertical withRightMargin>
      <Label>First name</Label>
      <Text>{firstName}</Text>
    </Item>
    <Item vertical withRightMargin>
      <Label>Last name</Label>
      <Text>{lastName}</Text>
    </Item>
    <Item vertical>
      <Label>Affiliation</Label>
      <Text>{affiliation}</Text>
    </Item>
  </Row>
)

PersonInfo.proTypes = {
  person: PropTypes.shape({
    email: PropTypes.string,
    firstName: PropTypes.string,
    lastName: PropTypes.string,
    affiliation: PropTypes.string,
  }),
}

export default PersonInfo

// #region styles

// #endregion
